List Transactions
Returns an orderʼs transactions.
Usage Notes
- Depending on the payment method, different information will be available (not all payment gateways return full card or fraud detail).
Requires at least one of the following scopes:
store_v2_transactions_read_onlystore_v2_transactions
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
order_id
The ID of the Order to which the transactions belong.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Response
Response payload for the BigCommerce Order Transactions API.
data
meta
Errors
404
Not Found Error
503
Service Unavailable Error